Get Release Group Dependency Count

gethttps://app.fossa.com/api/v2/release-groups/{projectGroupId}/releases/{projectGroupReleaseId}/dependencies/count

Get the total count of dependencies for a given release group

Path parameters

projectGroupIdintegerrequired

The ID of the release group

projectGroupReleaseIdintegerrequired

The ID of the release

Query parameters

sources[]enum[]

Filter dependencies by source type (managed or vendored). Only supported on project scope.

Responses

200OK
countinteger

The total number of dependencies for this release group

401Unauthorized
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404NotFound
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/v2/release-groups/1/releases/1/dependencies/count
curl --request GET \  --url 'https://app.fossa.com/api/v2/release-groups/1/releases/1/dependencies/count' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

projectGroupIdintegerrequired

The ID of the release group

projectGroupReleaseIdintegerrequired

The ID of the release

Query params

sources[]array

Filter dependencies by source type (managed or vendored). Only supported on project scope.